%MATCOM% Dmode

echo on
%
% Sample program for MATCOM D mode. Since both this
% script and the isp.m function are scalar algorithms, we
% use 'Dmode'. MATCOM than creates a C++ translation
% of the function, using the D datatype.
% The resulting program will run at 80x speed.
%
% (c) Copyright Yaron Keren 1995
%

pause

tic
n=0;
for a=1000000:1005000
  if isp(a)
    n=n+1;
  end
end
toc
n
